[program:vpn-queue-default]
process_name=%(program_name)s_%(process_num)02d
command=php /var/www/html/openvpn/web/artisan queue:work --sleep=3 --tries=3 --max-time=3600
autostart=true
autorestart=true
stopasgroup=true
killasgroup=true
user=www-data
numprocs=2
redirect_stderr=true
stdout_logfile=/var/log/supervisor/vpn-queue-default.log
stopwaitsecs=3600

[program:vpn-queue-certificates]
process_name=%(program_name)s_%(process_num)02d
command=php /var/www/html/openvpn/web/artisan queue:work --queue=certificates --sleep=3 --tries=3 --max-time=3600
autostart=true
autorestart=true
stopasgroup=true
killasgroup=true
user=www-data
numprocs=1
redirect_stderr=true
stdout_logfile=/var/log/supervisor/vpn-queue-certificates.log
stopwaitsecs=3600

[program:vpn-schedule]
process_name=%(program_name)s
command=php /var/www/html/openvpn/web/artisan schedule:work
autostart=true
autorestart=true
user=www-data
redirect_stderr=true
stdout_logfile=/var/log/supervisor/vpn-schedule.log

[group:vpn-workers]
programs=vpn-queue-default,vpn-queue-certificates,vpn-schedule
priority=999